
QGIS Application - Bug report #1281

editing layer name corrupts the project

2008-09-04 08:44 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 11341

Description

Debian amd64, QT 4.4.0, SVN r9254.

1. add two layers (any kind)

2. right click on one of them > Change name

3. don't change the name but click on the other layer name

4. now click back on the firts layer name

Whatever you do, you can't finish editing the layer name, remove it from the list, enter it's properties - no way. In order to quit this funny

state you need to start a new project.

Interestingly, you can't achieve this funny state if you use F2 instead of "right click > Change name".

History

#1 - 2008-09-08 02:02 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #1045

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
